import Vue from 'vue'
import router from './router'
import store from './store'
import App from './app.vue'
import ECharts from 'vue-echarts'
import 'echarts'

import VueAwesomeSwiper from 'vue-awesome-swiper'
import 'swiper/css/swiper.css'

// register globally (or you can do it locally)
Vue.component('v-chart', ECharts)

Vue.use(VueAwesomeSwiper /* { default options with global component } */)

// import BeforeEnter from './utils/beforeEnter'
// const before = new BeforeEnter()

// /* 导航守卫 */
// router.beforeEach((to, from, next) => {
//   before.update(to, from, next)
//   next()
// })

Vue.prototype.msgCenter = new Vue()

new Vue({
  store,
  router,
  render: h => h(App)
}).$mount('#app')
